Page MenuHomePhabricator

Add node_exporter ipvs ipv6 support
Closed, ResolvedPublic

Description

We've in the process of enabling ipvs collector on lvs boxes. Parsing /proc/net/ip_vs_stats works fine, though /proc/net/ip_vs containing ipv6 addresses fails and thus we don't have per-backend stats yet.

Mar 10 08:47:15 lvs4001 prometheus-node-exporter[15672]: time="2017-03-10T08:47:15Z" level=error msg="ERROR: ipvs collector failed after 0.000089s: could not get backend status: invalid IP: [2620" source="node_exporter.go:91"

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2017, 8:56 AM
ema triaged this task as Medium priority.Mar 10 2017, 9:02 AM
ema added a project: Traffic.
ema added a subscriber: ema.
ema moved this task from Triage to LoadBalancer on the Traffic board.Mar 14 2017, 11:55 AM

Issue has been fixed upstream, pending next node_exporter release or internal package build

ema awarded a token.May 4 2017, 2:35 PM

Mentioned in SAL (#wikimedia-operations) [2017-05-24T09:26:42Z] <godog> upload prometheus-node-exporter 0.14.0~git20170523-0 to jessie-wikimedia - T160156

fgiunchedi assigned this task to ema.May 24 2017, 9:34 AM

Mentioned in SAL (#wikimedia-operations) [2017-05-24T10:43:03Z] <ema> upgrade prometheus-node-exporter on cache hosts to 0.14.0~git20170523-0 T160156

Mentioned in SAL (#wikimedia-operations) [2017-05-24T10:43:36Z] <ema> upgrade prometheus-node-exporter on lvs hosts to 0.14.0~git20170523-0 T160156

ema closed this task as Resolved.May 24 2017, 11:15 AM

Fixed! We now have per-IPv4/IPv6 backend metrics available:

node_ipvs_backend_connections_active{local_address="2620:0:863:ed1a::1",local_port="80",proto="TCP",remote_address="2620:0:863:101:10:128:0:110",remote_port="80"} 36